{% import "bootstrap/utils.html" as utils %}
{% import "bootstrap/wtf.html" as wtf %}
{% from "_formhelpers.html" import render_field %}
{% extends "layout.html" %}
{% block content %}
<br>
<body>
<div class="container">
<center><h1 class="h2-responsive indigo-text mx-4 font-bold wow fadeIn">Checkout Now, and get Your IPTV subscription For all Devices </h1>
{% if current_user.is_authenticated %}<h4>This purchase w'll be completed as <b style="color: red;"> {{ current_user.username }}</b> after fill this form bellow , complet your order payment in the next step to receive your subscription</h4>

{% else %}<small><i class="fas fa-exclamation"></i> You are not <a href="/auth/login">login</a> yet , if you don't have an account please <a href="/auth/register">rergister</a> or  you can continue as guest</small></center><br>{% endif %}

<center>{% if error %}<p class=error><strong>Error:</strong> {{ error }}{% endif %}<br>{% with messages = get_flashed_messages(with_categories=true) %}{% if messages %}<div class="alert alert-{{ messages.0.0 }}" role="alert">{% for category, message in messages %}{{ message }} </br>{% endfor %}</div>{% endif %}{% endwith %}</center><hr>

<section class="section feature-box text-center"><div class="card"><div class="card-body"><a href="https://www.urhdiptv.com/tutorials/how-to-subscribe-with-urhdiptv-services/" target="__blank"><img src="/static/img/banner.png" class="img-fluid" alt="check first how to pay a subscription"></a></div></div><br><center>
<div class="container-fluid">
    <!-- Control the column width, and how they should appear on different devices -->
    <div class="row">
      <div class="col-sm-6">

	<div class="card">
	 <div class="card-body">
		<h3 class="h2-responsive indigo-text mx-4 font-bold wow fadeIn">Checkout Informations </h3><br>
							<div class="col-sm-12">
									<form  method="POST" action="" id="formid">
										<div class="form-group ">
												{{ form.csrf_token }}
												 <style type="text/css">.country-name{color: black;}</style>
											{{ wtf.quick_form(form) }}

																
										</div>
									</div>
								
								</div>
									</div>

							</div>
      	<div class="col-sm-6">
      		<div class="card">
		  		<div class="card-body">
		    		<h3 class="h2-responsive indigo-text mx-4 font-bold wow fadeIn">Additional Informations </h3><br>
									</form>
									<table class="table">
									  <tbody>
									    <tr>
									      <th scope="row">Package Selected</th>
									      <td>{{ packages.name }}</td>
									    </tr>
									    <tr>
									      <th scope="row">Valid For</th>
									      <td>{{ packages.period }} months</td>
									    </tr>
									    <th scope="row">Price</th>
									      <td>{{ packages.price }}$</td>
									    </tr>
									  </tbody>
									</table>
							    </div>
							  </div><br>
					<p id="error" style="display:none;">>Enter Email</p>
					<div id="paypal-button-container"></div>
					<script src="https://www.paypal.com/sdk/js?client-id={{pp}}&currency=USD" data-sdk-integration-source="button-factory"></script>
					<script>
					paypal.Buttons({
						style: {
							shape: 'rect',
							color: 'gold',
							layout: 'vertical',
							label: 'paypal',
						},
						onInit: function(data, actions) {
						actions.disable();
							document.querySelector('#email').addEventListener('input', function(event) {
							if (event.target.value) {
								actions.enable();
							} else {
							actions.disable();
							}
							});
						},
						createOrder: function(data, actions) {
							return actions.order.create({
								purchase_units: [{
									amount: {
										value: '{{ packages.price }}'
									}
								}]
							});
						},
						onClick: function() {
						if ($('#email').val()=="") {
						alert("Please enter your informations first");
						$('#email').focus();
						}
						},
						onApprove: function(data, actions) {
							return actions.order.capture().then(function(details) {
								if(details.payer.name.given_name)
								{
									alert('Congratulation, transaction complet, now click the button bellow to save your order and get your subscription fast  Mr: ' + details.payer.name.given_name + '!');
									$('#paypal-button-container').hide();
									$('#formid').submit();
								} 
							});
						}
					}).render('#paypal-button-container');
					</script>
					</div>
						</div>
					</div>
					</div>
					</div>
				<br>
				<br>
				<br>
			</div>
			</div>
			</body>

		<!--Start of Tawk.to Script--><script type="text/javascript">
		var Tawk_API=Tawk_API||{}, Tawk_LoadStart=new Date();
		(function(){
		var s1=document.createElement("script"),s0=document.getElementsByTagName("script")[0];
		s1.async=true;
		s1.src='https://embed.tawk.to/5c163f7982491369ba9e4e61/default';
		s1.charset='UTF-8';
		s1.setAttribute('crossorigin','*');
		s0.parentNode.insertBefore(s1,s0);
		})();
		</script>
		<!--End of Tawk.to Script-->

    {% endblock content %}